using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace FoodsharingSiegen.Server.Migrations
{
    /// <inheritdoc />
    public partial class InteractionFeedback : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "Feedback",
                table: "Interactions",
                type: "INTEGER",
                nullable: false,
                defaultValue: 10);

            migrationBuilder.AddColumn<string>(
                name: "FeedbackInfo",
                table: "Interactions",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Info2",
                table: "Interactions",
                type: "TEXT",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Feedback",
                table: "Interactions");

            migrationBuilder.DropColumn(
                name: "FeedbackInfo",
                table: "Interactions");

            migrationBuilder.DropColumn(
                name: "Info2",
                table: "Interactions");
        }
    }
}
